%global __python %{__python3}

Name:		anki
Version:	2.1.15
Release:	%mkrel 3
Summary:	Flashcard program for using space repetition learning
Group:		Education
License:	AGPLv3+ and GPLv3+ and MIT and BSD
URL:		https://apps.ankiweb.net/
Source0:	http://apps.ankiweb.net/downloads/current/%{name}-%{version}-source.tgz
Source1:	anki.svg
Source2:	anki.appdata.xml

# Config change: don't check for new updates.
Patch0:		%{name}-2.0.13-set-no-update.patch
BuildArch:	noarch

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools
BuildRequires:	python3-sqlalchemy
BuildRequires:	desktop-file-utils
BuildRequires:	python3-qt5
BuildRequires:	python3-simplejson
BuildRequires:	xdg-utils

Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-network
Requires:	python3-qt5-widgets
Requires:	python3-qt5-webengine
Requires:	python3-qt5-webenginecore
Requires:	python3-qt5-webenginewidgets
Requires:	python3-sqlalchemy
Requires:	python3-simplejson
Requires:	python3-decorator
Requires:	python3-markdown
Requires:	python3-matplotlib
Requires:	python3-matplotlib-qt5
Requires:	python3-pygame
Requires:	python3-beautifulsoup4
Requires:	python3-httplib2
Requires:	python3-pyaudio
Requires:	python3-jsonschema
Requires:	python3-requests
Requires:	python3-send2trash
Requires:	python3-soupsieve
Requires:	sox

%description
Anki is a program designed to help you remember facts (such as words
and phrases in a foreign language) as easily, quickly and efficiently
as possible. Anki is based on a theory called spaced repetition.

%prep
%setup -q
%patch0 -p0

%build

%install
%make_install

# Use only SVG icon
rm -rf %{buildroot}%{_datadir}/pixmaps

cp -R designer %{buildroot}%{_datadir}/%{name}/

install -d %{buildroot}%{_datadir}/mime/packages
install -m 644 anki.xml %{buildroot}%{_datadir}/mime/packages

install -d %{buildroot}%{_iconsdir}/hicolor/scalable/apps
install -m 644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/scalable/apps/

install -d %{buildroot}%{_mandir}/man1
install -m 644 anki.1 %{buildroot}%{_mandir}/man1/

mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE2} %{buildroot}%{_metainfodir}

desktop-file-install \
  --remove-category=KDE \
  --set-key=Keywords --set-value="learn;education;memorizing;language;flashcard;spaced repetition;" \
  --dir %{buildroot}%{_datadir}/applications \
  %{name}.desktop

find %{buildroot} -type f -o -type l|sed '
s:'"%{buildroot}"'::
s:\(.*/share/anki/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:
s:\(.*/share/anki/locale/qt\)\([^.]\+\)\(\.qm\):%lang(\2) \1\2\3:
s:^\([^%].*\)::
s:%lang(C) ::
/^$/d' > anki.lang

find %{buildroot}/usr/share/anki/locale -type d|sed '
s:'"%{buildroot}"'::
s:\(.*\):%dir \1:' >>anki.lang

# Remove license files from docdir, they will be copied to separately via %%license
rm -f %{buildroot}%{_pkgdocdir}/LICENSE*

%files -f %{name}.lang
%doc README*
%license LICENSE*
%{_bindir}/anki
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/aqt/
%{_datadir}/%{name}/web/
%{_datadir}/%{name}/designer/
%{_datadir}/%{name}/anki/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.*
%{_datadir}/mime/packages/anki.xml
%{_metainfodir}/%{name}.appdata.xml
%{_mandir}/man1/%{name}.*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.1.15-3.mga8
+ Revision: 1534497
- Mageia 8 Mass Rebuild

* Fri Oct 04 2019 daviddavid <daviddavid> 2.1.15-2.mga8
+ Revision: 1449329
- add missing dependency on python3-soupsieve (mga#25526)

* Sun Aug 25 2019 daviddavid <daviddavid> 2.1.15-1.mga8
+ Revision: 1431950
- new version: 2.1.15
- port to PyQt5 and Python 3

* Thu Sep 20 2018 umeabot <umeabot> 2.0.52-2.mga7
+ Revision: 1277603
- Mageia 7 Mass Rebuild

* Mon Jun 18 2018 akien <akien> 2.0.52-1.mga7
+ Revision: 1237715
- Version 2.0.52

* Sun Mar 25 2018 daviddavid <daviddavid> 2.0.50-1.mga7
+ Revision: 1212295
- new version: 2.0.50

* Wed Feb 07 2018 daviddavid <daviddavid> 2.0.47-2.mga7
+ Revision: 1199416
- fix doc file list
- use new python provides

* Sat Aug 26 2017 akien <akien> 2.0.47-1.mga7
+ Revision: 1147951
- Version 2.0.47

* Thu Mar 30 2017 akien <akien> 2.0.45-1.mga6
+ Revision: 1095358
- Version 2.0.45

* Fri Feb 24 2017 akien <akien> 2.0.43-1.mga6
+ Revision: 1087656
- Version 2.0.43

* Wed Feb 15 2017 akien <akien> 2.0.42-1.mga6
+ Revision: 1086279
- Version 2.0.42

* Wed Feb 08 2017 akien <akien> 2.0.41-1.mga6
+ Revision: 1085158
- Version 2.0.41

* Thu Jan 05 2017 akien <akien> 2.0.39-1.mga6
+ Revision: 1080185
- Version 2.0.39

* Fri Dec 23 2016 akien <akien> 2.0.38-1.mga6
+ Revision: 1076545
- Version 2.0.38

* Sun Apr 10 2016 daviddavid <daviddavid> 2.0.36-1.mga6
+ Revision: 999977
- new version: 2.0.36

* Sat Feb 20 2016 umeabot <umeabot> 2.0.33-2.mga6
+ Revision: 971346
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 daviddavid <daviddavid> 2.0.33-1.mga6
+ Revision: 891661
- new version: 2.0.33

* Mon Aug 24 2015 daviddavid <daviddavid> 2.0.32-1.mga6
+ Revision: 868917
- new version: 2.0.32 (sync with fc23)

* Mon Oct 20 2014 grenoya <grenoya> 2.0.31-1.mga5
+ Revision: 792183
- new version 2.0.31

* Wed Oct 15 2014 umeabot <umeabot> 2.0.28-4.mga5
+ Revision: 743281
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.28-3.mga5
+ Revision: 677764
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 grenoya <grenoya> 2.0.28-2.mga5
+ Revision: 665142
- new version 2.0.28

* Tue Apr 01 2014 grenoya <grenoya> 2.0.22-2.mga5
+ Revision: 611206
- new version 2.0.22

* Tue Oct 22 2013 umeabot <umeabot> 2.0.13-2.mga4
+ Revision: 541377
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 grenoya <grenoya> 2.0.13-1.mga4
+ Revision: 495819
- new version 2.0.13

* Sun Apr 07 2013 grenoya <grenoya> 2.0.3-4.mga3
+ Revision: 408761
- fix missing link to httplib2 (bug #8836)
- disable automatic check for software updates

* Fri Jan 25 2013 fwang <fwang> 2.0.3-3.mga3
+ Revision: 392221
- drop unneeded qt4

* Fri Jan 11 2013 umeabot <umeabot> 2.0.3-2.mga3
+ Revision: 345569
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 grenoya <grenoya> 2.0.3-1.mga3
+ Revision: 343250
-fix BR
-new version 2.0.3

* Thu Sep 20 2012 grenoya <grenoya> 1.2.11-1.mga3
+ Revision: 296422
- new version 1.2.11

* Mon Dec 19 2011 grenoya <grenoya> 1.2.9-2.mga2
+ Revision: 184162
- update sources to 1.2.9

* Sun Apr 24 2011 grenoya <grenoya> 1.2.8-2.mga1
+ Revision: 90170
- fix group

* Sun Apr 24 2011 grenoya <grenoya> 1.2.8-1.mga1
+ Revision: 90121
- imported package anki

